---
  host: "localhost"
  basePath: "/wcs/resources"
  schemes: 
    - "https"
  swagger: "2.0"
  info: 
    version: "WC.TOOLKIT Enterprise Version : 9 Fix Pack : 0"
    title: "WebSphere Commerce V9 - Catalog API"
    description: "These services provide classes related to browsing either a B2B or B2C store. Use these classes to: Get category data for administrative purposes; Get catalogs by search term or by store ID; Get catalog entries by parent part number or by search term."
  tags: 
    - 
      name: "category"
      description: "This class provides RESTful services to get category data for search-based catalog navigation. It performs the services by delegating to the CatalogNavigationView BOD service."
    - 
      name: "catalog_entry"
      description: "This class provides RESTful services to get all catalog entries for a store. It uses the CatalogEntry noun."
    - 
      name: "category_"
      description: "This class provides RESTful services to get category data for administrative purpose. It performs the services by delegating to the CatalogGroup BOD service."
  paths: 
    /store/{storeId}/categoryview/byId/{categoryId}: 
      get: 
        responses: 
          200: 
            description: "The requested completed successfully."
            schema: 
              $ref: "#/definitions/categoryview-categoryDetails"
          400: 
            description: "Bad request. Some of the inputs provided to the request aren't valid."
          401: 
            description: "Not authenticated. The user session isn't valid."
          403: 
            description: "The user isn't authorized to perform the specified request."
          404: 
            description: "The specified resource couldn't be found."
          500: 
            description: "Internal server error. Additional details will be contained on the server logs."
        parameters: 
          - 
            enum: 
              - "0"
              - "10001"
              - "10501"
              - "11001"
              - "1"
              - "11501"
              - "2"
            name: "storeId"
            required: true
            in: "path"
            type: "string"
            description: "The store identifier."
          - 
            required: true
            type: "string"
            description: "Category ID."
            in: "path"
            name: "categoryId"
          - 
            enum: 
              - "xml"
              - "json"
            name: "responseFormat"
            required: false
            in: "query"
            type: "string"
            description: "The response format. If the request has an input body, that body must also use the format specified in \"responseFormat\". Valid values include \"json\" and \"xml\" without the quotes. If the responseFormat isn't specified, the \"accept\" HTTP header shall be used to determine the format of the response. If the \"accept\" HTTP header isn't specified as well, the default response format shall be in json."
          - 
            required: false
            type: "string"
            description: "The catalog identifier. If none is specified, the store default catalog shall be used."
            in: "query"
            name: "catalogId"
          - 
            enum: 
              - "ARS"
              - "ATS"
              - "AUD"
              - "BEF"
              - "BRL"
              - "CAD"
              - "CHF"
              - "CNY"
              - "DEM"
              - "DKK"
              - "EGP"
              - "ESP"
              - "EUR"
              - "FIM"
              - "FRF"
              - "GBP"
              - "HKD"
              - "IEP"
              - "ITL"
              - "JPY"
              - "KRW"
              - "LUF"
              - "NLG"
              - "NOK"
              - "PLN"
              - "PTE"
              - "ROL"
              - "RON"
              - "RUB"
              - "SEK"
              - "SGD"
              - "TWD"
              - "USD"
              - "ZAR"
            name: "currency"
            required: false
            in: "query"
            type: "string"
            description: "The currency code to use. Example usage : currency=USD. If no currency code is specified, the store default currency shall be used."
        tags: 
          - "category"
        produces: 
          - "application/json"
          - "application/xml"
          - "application/xhtml+xml"
          - "application/atom+xml"
        summary: "Gets category details based on its unique ID."
        operationId: "findCategoryByUniqueId"
    /store/{storeId}/categoryview/@top: 
      get: 
        responses: 
          200: 
            description: "The requested completed successfully."
            schema: 
              $ref: "#/definitions/categoryview-categoryDetails"
          400: 
            description: "Bad request. Some of the inputs provided to the request aren't valid."
          401: 
            description: "Not authenticated. The user session isn't valid."
          403: 
            description: "The user isn't authorized to perform the specified request."
          404: 
            description: "The specified resource couldn't be found."
          500: 
            description: "Internal server error. Additional details will be contained on the server logs."
        parameters: 
          - 
            enum: 
              - "0"
              - "10001"
              - "10501"
              - "11001"
              - "1"
              - "11501"
              - "2"
            name: "storeId"
            required: true
            in: "path"
            type: "string"
            description: "The store identifier."
          - 
            enum: 
              - "xml"
              - "json"
            name: "responseFormat"
            required: false
            in: "query"
            type: "string"
            description: "The response format. If the request has an input body, that body must also use the format specified in \"responseFormat\". Valid values include \"json\" and \"xml\" without the quotes. If the responseFormat isn't specified, the \"accept\" HTTP header shall be used to determine the format of the response. If the \"accept\" HTTP header isn't specified as well, the default response format shall be in json."
          - 
            required: false
            type: "string"
            description: "The catalog identifier. If none is specified, the store default catalog shall be used."
            in: "query"
            name: "catalogId"
          - 
            enum: 
              - "ARS"
              - "ATS"
              - "AUD"
              - "BEF"
              - "BRL"
              - "CAD"
              - "CHF"
              - "CNY"
              - "DEM"
              - "DKK"
              - "EGP"
              - "ESP"
              - "EUR"
              - "FIM"
              - "FRF"
              - "GBP"
              - "HKD"
              - "IEP"
              - "ITL"
              - "JPY"
              - "KRW"
              - "LUF"
              - "NLG"
              - "NOK"
              - "PLN"
              - "PTE"
              - "ROL"
              - "RON"
              - "RUB"
              - "SEK"
              - "SGD"
              - "TWD"
              - "USD"
              - "ZAR"
            name: "currency"
            required: false
            in: "query"
            type: "string"
            description: "The currency code to use. Example usage : currency=USD. If no currency code is specified, the store default currency shall be used."
        tags: 
          - "category"
        produces: 
          - "application/json"
          - "application/xml"
          - "application/xhtml+xml"
          - "application/atom+xml"
        summary: "Gets all top level categories."
        operationId: "findTopCategories"
    /store/{storeId}/catalog_entry/bySearchTerm/{searchTerm}: 
      get: 
        responses: 
          200: 
            description: "The requested completed successfully."
            schema: 
              $ref: "#/definitions/catalog_entry-IBM_Admin_StandardOfferPrice"
          400: 
            description: "Bad request. Some of the inputs provided to the request aren't valid."
          401: 
            description: "Not authenticated. The user session isn't valid."
          403: 
            description: "The user isn't authorized to perform the specified request."
          500: 
            description: "Internal server error. Additional details will be contained on the server logs."
        parameters: 
          - 
            enum: 
              - "0"
              - "10001"
              - "10501"
              - "11001"
              - "1"
              - "11501"
              - "2"
            name: "storeId"
            required: true
            in: "path"
            type: "string"
            description: "The store identifier."
          - 
            required: true
            type: "string"
            description: "The term user is searching for"
            in: "path"
            name: "searchTerm"
          - 
            description: "The types of the catalog entry to be returned."
            items: 
              enum: 
                - "Product"
                - "Item"
                - "CategoryItem"
                - "Bundle"
                - "Package"
                - "DynamicKit"
                - "PredDynaKit"
              type: "string"
            required: false
            in: "query"
            type: "array"
            name: "type"
          - 
            description: "The types of the catalog entry to be not returned."
            items: 
              enum: 
                - "Product"
                - "Item"
                - "Bundle"
                - "Package"
                - "DynamicKit"
                - "PredDynaKit"
              type: "string"
            required: false
            in: "query"
            type: "array"
            name: "excludeType"
          - 
            enum: 
              - "-1"
              - "-2"
              - "-3"
              - "-4"
              - "-5"
              - "-6"
              - "-7"
              - "-8"
              - "-10"
              - "-20"
              - "-21"
              - "-9"
              - "-22"
              - "-23"
            name: "langId"
            required: false
            in: "query"
            type: "string"
            description: "Language identifier. If not specified, the \"locale\" parameter will be used. If \"locale\" isn't specified, then the store default language shall be used."
          - 
            enum: 
              - "10001"
              - "10501"
              - "10502"
            name: "catalogId"
            required: false
            in: "query"
            type: "string"
            description: "The unique id of the catalog to search the catalog entries under. If no catalog specified, store default catalog will be used."
          - 
            enum: 
              - "IBM_Admin_Summary"
              - "IBM_Admin_StandardOfferPrice"
            name: "profileName"
            required: false
            in: "query"
            type: "string"
            description: "Profile name. Profiles determine the subset of data to be returned by a query."
          - 
            description: "Page number, starting at 1. Valid values include positive integers of 1 and above. The \"pageSize\" must be specified for paging to work."
            format: "int64"
            required: false
            in: "query"
            type: "integer"
            name: "pageNumber"
          - 
            description: "Page size. Used to limit the amount of data returned by a query. Valid values include positive integers of 1 and above. The \"pageNumber\" must be specified for paging to work."
            format: "int64"
            required: false
            in: "query"
            type: "integer"
            name: "pageSize"
        tags: 
          - "catalog_entry"
        produces: 
          - "application/json"
          - "application/xml"
          - "application/xhtml+xml"
          - "application/atom+xml"
        summary: "findBySearchTerm"
        operationId: "findBySearchTerm"
    /store/{storeId}/category/bySearchTerm/{searchTerm}: 
      get: 
        responses: 
          200: 
            description: "The requested completed successfully."
            schema: 
              $ref: "#/definitions/category-IBM_Admin_Details_Breadcrumb"
          400: 
            description: "Bad request. Some of the inputs provided to the request aren't valid."
          401: 
            description: "Not authenticated. The user session isn't valid."
          403: 
            description: "The user isn't authorized to perform the specified request."
          500: 
            description: "Internal server error. Additional details will be contained on the server logs."
        parameters: 
          - 
            enum: 
              - "0"
              - "10001"
              - "10501"
              - "11001"
              - "1"
              - "11501"
              - "2"
            name: "storeId"
            required: true
            in: "path"
            type: "string"
            description: "The store identifier."
          - 
            required: true
            type: "string"
            description: "The term user is searching for"
            in: "path"
            name: "searchTerm"
          - 
            enum: 
              - "-1"
              - "-2"
              - "-3"
              - "-4"
              - "-5"
              - "-6"
              - "-7"
              - "-8"
              - "-10"
              - "-20"
              - "-21"
              - "-9"
              - "-22"
              - "-23"
            name: "langId"
            required: false
            in: "query"
            type: "string"
            description: "Language identifier. If not specified, the \"locale\" parameter will be used. If \"locale\" isn't specified, then the store default language shall be used."
          - 
            enum: 
              - "10001"
              - "10501"
              - "10502"
            name: "catalogId"
            required: false
            in: "query"
            type: "string"
            description: "The unique id of the catalog to search the categories under"
          - 
            enum: 
              - "IBM_Admin_Summary"
              - "IBM_Admin_Details"
              - "IBM_Admin_Summary_Breadcrumb"
              - "IBM_Admin_Details_Breadcrumb"
            name: "profileName"
            required: false
            in: "query"
            type: "string"
            description: "Profile name. Profiles determine the subset of data to be returned by a query."
          - 
            description: "Page number, starting at 1. Valid values include positive integers of 1 and above. The \"pageSize\" must be specified for paging to work."
            format: "int64"
            required: false
            in: "query"
            type: "integer"
            name: "pageNumber"
          - 
            description: "Page size. Used to limit the amount of data returned by a query. Valid values include positive integers of 1 and above. The \"pageNumber\" must be specified for paging to work."
            format: "int64"
            required: false
            in: "query"
            type: "integer"
            name: "pageSize"
        tags: 
          - "category_"
        produces: 
          - "application/json"
          - "application/xml"
          - "application/xhtml+xml"
          - "application/atom+xml"
        summary: "findBySearchTerm"
        operationId: "findBySearchTerm"
    /store/{storeId}/categoryview/{categoryIdentifier}: 
      get: 
        responses: 
          200: 
            description: "The requested completed successfully."
            schema: 
              $ref: "#/definitions/categoryview-categoryDetails"
          400: 
            description: "Bad request. Some of the inputs provided to the request aren't valid."
          401: 
            description: "Not authenticated. The user session isn't valid."
          403: 
            description: "The user isn't authorized to perform the specified request."
          404: 
            description: "The specified resource couldn't be found."
          500: 
            description: "Internal server error. Additional details will be contained on the server logs."
        parameters: 
          - 
            enum: 
              - "0"
              - "10001"
              - "10501"
              - "11001"
              - "1"
              - "11501"
              - "2"
            name: "storeId"
            required: true
            in: "path"
            type: "string"
            description: "The store identifier."
          - 
            required: true
            type: "string"
            description: "Category Identifier."
            in: "path"
            name: "categoryIdentifier"
          - 
            enum: 
              - "xml"
              - "json"
            name: "responseFormat"
            required: false
            in: "query"
            type: "string"
            description: "The response format. If the request has an input body, that body must also use the format specified in \"responseFormat\". Valid values include \"json\" and \"xml\" without the quotes. If the responseFormat isn't specified, the \"accept\" HTTP header shall be used to determine the format of the response. If the \"accept\" HTTP header isn't specified as well, the default response format shall be in json."
          - 
            required: false
            type: "string"
            description: "The catalog identifier. If none is specified, the store default catalog shall be used."
            in: "query"
            name: "catalogId"
          - 
            enum: 
              - "ARS"
              - "ATS"
              - "AUD"
              - "BEF"
              - "BRL"
              - "CAD"
              - "CHF"
              - "CNY"
              - "DEM"
              - "DKK"
              - "EGP"
              - "ESP"
              - "EUR"
              - "FIM"
              - "FRF"
              - "GBP"
              - "HKD"
              - "IEP"
              - "ITL"
              - "JPY"
              - "KRW"
              - "LUF"
              - "NLG"
              - "NOK"
              - "PLN"
              - "PTE"
              - "ROL"
              - "RON"
              - "RUB"
              - "SEK"
              - "SGD"
              - "TWD"
              - "USD"
              - "ZAR"
            name: "currency"
            required: false
            in: "query"
            type: "string"
            description: "The currency code to use. Example usage : currency=USD. If no currency code is specified, the store default currency shall be used."
        tags: 
          - "category"
        produces: 
          - "application/json"
          - "application/xml"
          - "application/xhtml+xml"
          - "application/atom+xml"
        summary: "Gets category details based on its identifier."
        operationId: "findCategoryByIdentifier"
    /store/{storeId}/catalog_entry: 
      get: 
        responses: 
          200: 
            description: "The requested completed successfully."
            schema: 
              $ref: "#/definitions/catalog_entry-IBM_Admin_CatalogEntryDefiningAttributeDictionaryAttribute"
          400: 
            description: "Bad request. Some of the inputs provided to the request aren't valid."
          401: 
            description: "Not authenticated. The user session isn't valid."
          403: 
            description: "The user isn't authorized to perform the specified request."
          500: 
            description: "Internal server error. Additional details will be contained on the server logs."
        parameters: 
          - 
            enum: 
              - "0"
              - "10001"
              - "10501"
              - "11001"
              - "1"
              - "11501"
              - "2"
            name: "storeId"
            required: true
            in: "path"
            type: "string"
            description: "The store identifier."
          - 
            enum: 
              - "byParentPartNumbers"
            name: "q"
            required: true
            in: "query"
            type: "string"
            description: "The query name."
          - 
            description: "The part number of the parent catalog entry."
            items: 
              type: "string"
            required: true
            in: "query"
            type: "array"
            name: "partNumber"
          - 
            enum: 
              - "-1"
              - "-2"
              - "-3"
              - "-4"
              - "-5"
              - "-6"
              - "-7"
              - "-8"
              - "-10"
              - "-20"
              - "-21"
              - "-9"
              - "-22"
              - "-23"
            name: "langId"
            required: false
            in: "query"
            type: "string"
            description: "Language identifier. If not specified, the \"locale\" parameter will be used. If \"locale\" isn't specified, then the store default language shall be used."
          - 
            enum: 
              - "10001"
              - "10501"
              - "10502"
            name: "catalogId"
            required: false
            in: "query"
            type: "string"
            description: "The unique id of the catalog to search the catalog entries under. If no catalog specified, store default catalog will be used."
          - 
            enum: 
              - "IBM_Admin_Summary"
              - "IBM_Admin_CatalogEntryDefiningAttributeDictionaryAttribute"
            name: "profileName"
            required: false
            in: "query"
            type: "string"
            description: "Profile name. Profiles determine the subset of data to be returned by a query."
          - 
            description: "Page number, starting at 1. Valid values include positive integers of 1 and above. The \"pageSize\" must be specified for paging to work."
            format: "int64"
            required: false
            in: "query"
            type: "integer"
            name: "pageNumber"
          - 
            description: "Page size. Used to limit the amount of data returned by a query. Valid values include positive integers of 1 and above. The \"pageNumber\" must be specified for paging to work."
            format: "int64"
            required: false
            in: "query"
            type: "integer"
            name: "pageSize"
        tags: 
          - "catalog_entry"
        produces: 
          - "application/json"
          - "application/xml"
          - "application/xhtml+xml"
          - "application/atom+xml"
        summary: "Finds catalog entries by their parent part number. Invalid part number is ignored."
        operationId: "byParentPartNumbers"
    /store/{storeId}/categoryview/byParentCategory/{parentCategoryId}: 
      get: 
        responses: 
          200: 
            description: "The requested completed successfully."
            schema: 
              $ref: "#/definitions/categoryview-categorySummary"
          201: 
            description: "The requested resource has been created."
          204: 
            description: "The requested completed successfully. No content is returned in the response."
          400: 
            description: "Bad request. Some of the inputs provided to the request aren't valid."
          401: 
            description: "Not authenticated. The user session isn't valid."
          403: 
            description: "The user isn't authorized to perform the specified request."
          404: 
            description: "The specified resource couldn't be found."
          500: 
            description: "Internal server error. Additional details will be contained on the server logs."
        parameters: 
          - 
            enum: 
              - "0"
              - "10001"
              - "10501"
              - "11001"
              - "1"
              - "11501"
              - "2"
            name: "storeId"
            required: true
            in: "path"
            type: "string"
            description: "The store identifier."
          - 
            required: true
            type: "string"
            description: "The parent category unique ID."
            in: "path"
            name: "parentCategoryId"
          - 
            description: "Page number, starting at 1. Valid values include positive integers of 1 and above. The \"pageSize\" must be specified for paging to work."
            format: "int32"
            required: false
            in: "query"
            type: "integer"
            name: "pageNumber"
          - 
            description: "Page size. Used to limit the amount of data returned by a query. Valid values include positive integers of 1 and above. The \"pageNumber\" must be specified for paging to work."
            format: "int32"
            required: false
            in: "query"
            type: "integer"
            name: "pageSize"
          - 
            enum: 
              - "xml"
              - "json"
            name: "responseFormat"
            required: false
            in: "query"
            type: "string"
            description: "The response format. If the request has an input body, that body must also use the format specified in \"responseFormat\". Valid values include \"json\" and \"xml\" without the quotes. If the responseFormat isn't specified, the \"accept\" HTTP header shall be used to determine the format of the response. If the \"accept\" HTTP header isn't specified as well, the default response format shall be in json."
          - 
            required: false
            type: "string"
            description: "The catalog identifier. If none is specified, the store default catalog shall be used."
            in: "query"
            name: "catalogId"
          - 
            enum: 
              - "ARS"
              - "ATS"
              - "AUD"
              - "BEF"
              - "BRL"
              - "CAD"
              - "CHF"
              - "CNY"
              - "DEM"
              - "DKK"
              - "EGP"
              - "ESP"
              - "EUR"
              - "FIM"
              - "FRF"
              - "GBP"
              - "HKD"
              - "IEP"
              - "ITL"
              - "JPY"
              - "KRW"
              - "LUF"
              - "NLG"
              - "NOK"
              - "PLN"
              - "PTE"
              - "ROL"
              - "RON"
              - "RUB"
              - "SEK"
              - "SGD"
              - "TWD"
              - "USD"
              - "ZAR"
            name: "currency"
            required: false
            in: "query"
            type: "string"
            description: "The currency code to use. Example usage : currency=USD. If no currency code is specified, the store default currency shall be used."
        tags: 
          - "category"
        produces: 
          - "application/json"
          - "application/xml"
          - "application/xhtml+xml"
          - "application/atom+xml"
        summary: "Gets child categories based on the parent category unique ID."
        operationId: "findSubCategories"
  definitions: 
    category-IBM_Admin_Details_Breadcrumb_item.sEOURL.siteMapInfo.userData: 
      properties: 
        userDataField: 
          items: 
            $ref: "#/definitions/category-IBM_Admin_Details_Breadcrumb_item.sEOURL.siteMapInfo.userData.userDataField"
          type: "array"
    categoryview-categoryDetails.userDataField: 
      required: 
        - "key"
      properties: 
        value: 
          type: "string"
        key: 
          type: "string"
    com.ibm.commerce.foundation.common.datatypes.MonetaryAmountType: 
      properties: 
        currency: 
          type: "string"
        value: 
          type: "number"
          format: "double"
    category-IBM_Admin_Details_Breadcrumb_item.association.catalogEntryReference.catalogEntryIdentifier.externalIdentifier: 
      required: 
        - "partNumber"
      properties: 
        ownerID: 
          type: "string"
        partNumber: 
          type: "string"
        storeIdentifier: 
          $ref: "#/definitions/category-IBM_Admin_Details_Breadcrumb_item.association.catalogEntryReference.catalogEntryIdentifier.externalIdentifier.storeIdentifier"
    categoryview-categoryDetails.FacetView.Entry: 
      properties: 
        count: 
          type: "string"
          format: "int64"
        image: 
          type: "string"
        entryValue: 
          type: "string"
        label: 
          type: "string"
    categoryview-categorySummary.WebContentView.userDataField: 
      required: 
        - "key"
      properties: 
        value: 
          type: "string"
        key: 
          type: "string"
    category-IBM_Admin_Details_Breadcrumb_item.attachmentReference.attachmentAsset.storeIdentifier.externalIdentifier: 
      properties: 
        ownerID: 
          type: "string"
        nameIdentifier: 
          type: "string"
    category-IBM_Admin_Details_Breadcrumb_item: 
      required: 
        - "categoryIdentifier"
      properties: 
        catalogGroupIdentifier: 
          $ref: "#/definitions/category-IBM_Admin_Details_Breadcrumb_item.catalogGroupIdentifier"
        taxonomyAttribute: 
          $ref: "#/definitions/category-IBM_Admin_Details_Breadcrumb_item.taxonomyAttribute"
        parentCatalogGroupIdentifier: 
          $ref: "#/definitions/category-IBM_Admin_Details_Breadcrumb_item.parentCatalogGroupIdentifier"
        description: 
          items: 
            $ref: "#/definitions/category-IBM_Admin_Details_Breadcrumb_item.description"
          type: "array"
        externalContentReference: 
          items: 
            $ref: "#/definitions/category-IBM_Admin_Details_Breadcrumb_item.externalContentReference"
          type: "array"
        owningStoreDirectory: 
          type: "string"
        topCatalogGroup: 
          type: "boolean"
        displaySequence: 
          type: "number"
          format: "double"
        categoryIdentifier: 
          type: "string"
        breadcrumbLocation: 
          items: 
            $ref: "#/definitions/category-IBM_Admin_Details_Breadcrumb_item.breadcrumbLocation"
          type: "array"
        rule: 
          $ref: "#/definitions/category-IBM_Admin_Details_Breadcrumb_item.rule"
        facet: 
          items: 
            $ref: "#/definitions/category-IBM_Admin_Details_Breadcrumb_item.facet"
          type: "array"
        sEOProperties: 
          items: 
            $ref: "#/definitions/category-IBM_Admin_Details_Breadcrumb_item.sEOProperties"
          type: "array"
        attachmentReference: 
          items: 
            $ref: "#/definitions/category-IBM_Admin_Details_Breadcrumb_item.attachmentReference"
          type: "array"
        dynamicCatalogGroup: 
          type: "integer"
          format: "int32"
        navigationRelationship: 
          items: 
            $ref: "#/definitions/category-IBM_Admin_Details_Breadcrumb_item.navigationRelationship"
          type: "array"
        attributes: 
          items: 
            $ref: "#/definitions/category-IBM_Admin_Details_Breadcrumb_item.attributes"
          type: "array"
        sEOURL: 
          items: 
            $ref: "#/definitions/category-IBM_Admin_Details_Breadcrumb_item.sEOURL"
          type: "array"
        categoryId: 
          type: "string"
        association: 
          items: 
            $ref: "#/definitions/category-IBM_Admin_Details_Breadcrumb_item.association"
          type: "array"
        navigationPath: 
          type: "string"
    category-IBM_Admin_Details_Breadcrumb_item.attachmentReference.attachmentAsset.userData: 
      properties: 
        userDataField: 
          items: 
            $ref: "#/definitions/category-IBM_Admin_Details_Breadcrumb_item.attachmentReference.attachmentAsset.userData.userDataField"
          type: "array"
    category-IBM_Admin_Details_Breadcrumb_item.attributes: 
      required: 
        - "key"
      properties: 
        value: 
          type: "string"
        key: 
          type: "string"
    category-IBM_Admin_Details_Breadcrumb_item.parentCatalogGroupIdentifier.externalIdentifier.storeIdentifier.externalIdentifier: 
      properties: 
        ownerID: 
          type: "string"
        nameIdentifier: 
          type: "string"
    category-IBM_Admin_Details_Breadcrumb_item.parentCatalogGroupIdentifier.externalIdentifier: 
      required: 
        - "groupIdentifier"
      properties: 
        ownerID: 
          type: "string"
        storeIdentifier: 
          $ref: "#/definitions/category-IBM_Admin_Details_Breadcrumb_item.parentCatalogGroupIdentifier.externalIdentifier.storeIdentifier"
        groupIdentifier: 
          type: "string"
    categoryview-categoryDetails.SuggestionView.Entry.userDataField: 
      required: 
        - "key"
      properties: 
        value: 
          type: "string"
        key: 
          type: "string"
    category-IBM_Admin_Details_Breadcrumb_item.navigationRelationship.catalogEntryReference.catalogEntryIdentifier.externalIdentifier.storeIdentifier.externalIdentifier: 
      properties: 
        ownerID: 
          type: "string"
        nameIdentifier: 
          type: "string"
    category-IBM_Admin_Details_Breadcrumb_item.navigationRelationship.catalogGroupReference.catalogGroupIdentifier.externalIdentifier.storeIdentifier: 
      properties: 
        uniqueID: 
          type: "string"
        externalIdentifier: 
          $ref: "#/definitions/category-IBM_Admin_Details_Breadcrumb_item.navigationRelationship.catalogGroupReference.catalogGroupIdentifier.externalIdentifier.storeIdentifier.externalIdentifier"
    category-IBM_Admin_Details_Breadcrumb_item.navigationRelationship.catalogGroupReference: 
      required: 
        - "displayName"
      properties: 
        catalogGroupIdentifier: 
          $ref: "#/definitions/category-IBM_Admin_Details_Breadcrumb_item.navigationRelationship.catalogGroupReference.catalogGroupIdentifier"
        displayName: 
          type: "string"
        catalogIdentifier: 
          $ref: "#/definitions/category-IBM_Admin_Details_Breadcrumb_item.navigationRelationship.catalogGroupReference.catalogIdentifier"
        navigationPath: 
          type: "string"
    category-IBM_Admin_Details_Breadcrumb_item.description: 
      properties: 
        keyword: 
          type: "string"
        language: 
          type: "string"
        fullImage: 
          type: "string"
        longDescription: 
          type: "string"
        breadcrumb: 
          items: 
            type: "string"
          type: "array"
        override: 
          items: 
            $ref: "#/definitions/category-IBM_Admin_Details_Breadcrumb_item.description.override"
          type: "array"
        attributes: 
          items: 
            $ref: "#/definitions/category-IBM_Admin_Details_Breadcrumb_item.description.attributes"
          type: "array"
        shortDescription: 
          type: "string"
        thumbnail: 
          type: "string"
        name: 
          type: "string"
    category-IBM_Admin_Details_Breadcrumb_item.attachmentReference.attachmentReferenceDescription: 
      properties: 
        userData: 
          $ref: "#/definitions/category-IBM_Admin_Details_Breadcrumb_item.attachmentReference.attachmentReferenceDescription.userData"
        shortDescription: 
          type: "string"
        name: 
          type: "string"
        language: 
          type: "string"
        longDescription: 
          type: "string"
    category-IBM_Admin_Details_Breadcrumb_item.taxonomyAttribute.attribute.externalIdentifier.attributeDictionaryIdentifier.externalIdentifier.storeIdentifier: 
      properties: 
        uniqueID: 
          type: "string"
        externalIdentifier: 
          $ref: "#/definitions/category-IBM_Admin_Details_Breadcrumb_item.taxonomyAttribute.attribute.externalIdentifier.attributeDictionaryIdentifier.externalIdentifier.storeIdentifier.externalIdentifier"
    category-IBM_Admin_Details_Breadcrumb_item.association.catalogGroupReference.catalogGroupIdentifier: 
      properties: 
        uniqueID: 
          type: "string"
        externalIdentifier: 
          $ref: "#/definitions/category-IBM_Admin_Details_Breadcrumb_item.association.catalogGroupReference.catalogGroupIdentifier.externalIdentifier"
    category-IBM_Admin_Details_Breadcrumb_item.association.catalogEntryReference.catalogEntryIdentifier.externalIdentifier.storeIdentifier: 
      properties: 
        uniqueID: 
          type: "string"
        externalIdentifier: 
          $ref: "#/definitions/category-IBM_Admin_Details_Breadcrumb_item.association.catalogEntryReference.catalogEntryIdentifier.externalIdentifier.storeIdentifier.externalIdentifier"
    categoryview-categoryDetails.CatalogGroupView.userDataField: 
      required: 
        - "key"
      properties: 
        value: 
          type: "string"
        key: 
          type: "string"
    catalog_entry-IBM_Admin_CatalogEntryDefiningAttributeDictionaryAttribute_item.description: 
      properties: 
        shortDescription: 
          type: "string"
        name: 
          type: "string"
        thumbnail: 
          type: "string"
    category-IBM_Admin_Details_Breadcrumb_item.taxonomyAttribute.attribute.externalIdentifier.attributeDictionaryIdentifier.externalIdentifier: 
      required: 
        - "identifier"
      properties: 
        storeIdentifier: 
          $ref: "#/definitions/category-IBM_Admin_Details_Breadcrumb_item.taxonomyAttribute.attribute.externalIdentifier.attributeDictionaryIdentifier.externalIdentifier.storeIdentifier"
        identifier: 
          type: "string"
    category-IBM_Admin_Details_Breadcrumb_item.facet.attribute.attributeDescription.userData.userDataField: 
      required: 
        - "key"
      properties: 
        value: 
          type: "string"
        key: 
          type: "string"
    category-IBM_Admin_Details_Breadcrumb_item.taxonomyAttribute.attribute.externalIdentifier.attributeDictionaryIdentifier: 
      properties: 
        uniqueID: 
          type: "string"
        externalIdentifier: 
          $ref: "#/definitions/category-IBM_Admin_Details_Breadcrumb_item.taxonomyAttribute.attribute.externalIdentifier.attributeDictionaryIdentifier.externalIdentifier"
    category-IBM_Admin_Details_Breadcrumb_item.attachmentReference: 
      properties: 
        userData: 
          $ref: "#/definitions/category-IBM_Admin_Details_Breadcrumb_item.attachmentReference.userData"
        attachmentIdentifier: 
          $ref: "#/definitions/category-IBM_Admin_Details_Breadcrumb_item.attachmentReference.attachmentIdentifier"
        attachmentReferenceIdentifier: 
          $ref: "#/definitions/category-IBM_Admin_Details_Breadcrumb_item.attachmentReference.attachmentReferenceIdentifier"
        displaySequence: 
          type: "string"
        attachmentReferenceDescription: 
          items: 
            $ref: "#/definitions/category-IBM_Admin_Details_Breadcrumb_item.attachmentReference.attachmentReferenceDescription"
          type: "array"
        attachmentAsset: 
          items: 
            $ref: "#/definitions/category-IBM_Admin_Details_Breadcrumb_item.attachmentReference.attachmentAsset"
          type: "array"
        attachmentDescription: 
          items: 
            $ref: "#/definitions/category-IBM_Admin_Details_Breadcrumb_item.attachmentReference.attachmentDescription"
          type: "array"
        attachmentUsage: 
          $ref: "#/definitions/category-IBM_Admin_Details_Breadcrumb_item.attachmentReference.attachmentUsage"
    catalog_entry-IBM_Admin_CatalogEntryDefiningAttributeDictionaryAttribute_item: 
      required: 
        - "parentCatalogEntryPartNumber"
        - "partNumber"
      properties: 
        parentCatalogEntryID: 
          type: "string"
        description: 
          items: 
            $ref: "#/definitions/catalog_entry-IBM_Admin_CatalogEntryDefiningAttributeDictionaryAttribute_item.description"
          type: "array"
        owningStoreDirectory: 
          type: "string"
        uniqueID: 
          type: "string"
        parentCatalogEntryPartNumber: 
          type: "string"
        attributes: 
          items: 
            $ref: "#/definitions/catalog_entry-IBM_Admin_CatalogEntryDefiningAttributeDictionaryAttribute_item.attributes"
          type: "array"
        partNumber: 
          type: "string"
        type: 
          type: "string"
        userDataField: 
          items: 
            $ref: "#/definitions/catalog_entry-IBM_Admin_CatalogEntryDefiningAttributeDictionaryAttribute_item.userDataField"
          type: "array"
    catalog_entry-IBM_Admin_StandardOfferPrice: 
      properties: 
        recordSetCount: 
          type: "integer"
          format: "int64"
        recordSetComplete: 
          type: "boolean"
        recordSetStartNumber: 
          type: "integer"
          format: "int64"
        resultList: 
          items: 
            $ref: "#/definitions/catalog_entry-IBM_Admin_StandardOfferPrice_item"
          type: "array"
        recordSetTotal: 
          type: "integer"
          format: "int64"
    category-IBM_Admin_Details_Breadcrumb_item.sEOProperties.parentStoreIdentifier: 
      properties: 
        uniqueID: 
          type: "string"
        externalIdentifier: 
          $ref: "#/definitions/category-IBM_Admin_Details_Breadcrumb_item.sEOProperties.parentStoreIdentifier.externalIdentifier"
    category-IBM_Admin_Details_Breadcrumb_item.sEOURL.uRLKeyword.userData: 
      properties: 
        userDataField: 
          items: 
            $ref: "#/definitions/category-IBM_Admin_Details_Breadcrumb_item.sEOURL.uRLKeyword.userData.userDataField"
          type: "array"
    category-IBM_Admin_Details_Breadcrumb_item.sEOProperties.userData.userDataField: 
      required: 
        - "key"
      properties: 
        value: 
          type: "string"
        key: 
          type: "string"
    category-IBM_Admin_Details_Breadcrumb_item.description.attributes: 
      required: 
        - "key"
      properties: 
        value: 
          type: "string"
        key: 
          type: "string"
    categoryview-categorySummary.SuggestionView.Entry.userDataField: 
      required: 
        - "key"
      properties: 
        value: 
          type: "string"
        key: 
          type: "string"
    category-IBM_Admin_Details_Breadcrumb_item.attachmentReference.attachmentIdentifier.externalIdentifier.storeIdentifier: 
      properties: 
        uniqueID: 
          type: "string"
        externalIdentifier: 
          $ref: "#/definitions/category-IBM_Admin_Details_Breadcrumb_item.attachmentReference.attachmentIdentifier.externalIdentifier.storeIdentifier.externalIdentifier"
    category-IBM_Admin_Details_Breadcrumb_item.association.catalogGroupReference.catalogIdentifier.externalIdentifier: 
      required: 
        - "identifier"
      properties: 
        ownerID: 
          type: "string"
        identifier: 
          type: "string"
        storeIdentifier: 
          $ref: "#/definitions/category-IBM_Admin_Details_Breadcrumb_item.association.catalogGroupReference.catalogIdentifier.externalIdentifier.storeIdentifier"
    category-IBM_Admin_Details_Breadcrumb_item.taxonomyAttribute.attribute: 
      properties: 
        uniqueID: 
          type: "string"
        externalIdentifier: 
          $ref: "#/definitions/category-IBM_Admin_Details_Breadcrumb_item.taxonomyAttribute.attribute.externalIdentifier"
    category-IBM_Admin_Details_Breadcrumb_item.navigationRelationship.catalogGroupReference.catalogGroupIdentifier: 
      properties: 
        uniqueID: 
          type: "string"
        externalIdentifier: 
          $ref: "#/definitions/category-IBM_Admin_Details_Breadcrumb_item.navigationRelationship.catalogGroupReference.catalogGroupIdentifier.externalIdentifier"
    category-IBM_Admin_Details_Breadcrumb_item.attachmentReference.attachmentReferenceIdentifier: 
      properties: 
        uniqueID: 
          type: "string"
    category-IBM_Admin_Details_Breadcrumb_item.attachmentReference.userData.userDataField: 
      required: 
        - "key"
      properties: 
        value: 
          type: "string"
        key: 
          type: "string"
    category-IBM_Admin_Details_Breadcrumb_item.attachmentReference.attachmentAsset.userData.userDataField: 
      required: 
        - "key"
      properties: 
        value: 
          type: "string"
        key: 
          type: "string"
    category-IBM_Admin_Details_Breadcrumb_item.parentCatalogGroupIdentifier.externalIdentifier.storeIdentifier: 
      properties: 
        uniqueID: 
          type: "string"
        externalIdentifier: 
          $ref: "#/definitions/category-IBM_Admin_Details_Breadcrumb_item.parentCatalogGroupIdentifier.externalIdentifier.storeIdentifier.externalIdentifier"
    categoryview-categoryDetails.WebContentView.userDataField: 
      required: 
        - "key"
      properties: 
        value: 
          type: "string"
        key: 
          type: "string"
    category-IBM_Admin_Details_Breadcrumb_item.attachmentReference.attachmentReferenceDescription.userData: 
      properties: 
        userDataField: 
          items: 
            $ref: "#/definitions/category-IBM_Admin_Details_Breadcrumb_item.attachmentReference.attachmentReferenceDescription.userData.userDataField"
          type: "array"
    categoryview-categoryDetails.SuggestionView: 
      properties: 
        Entry: 
          items: 
            $ref: "#/definitions/categoryview-categoryDetails.SuggestionView.Entry"
          type: "array"
        identifier: 
          type: "string"
        label: 
          type: "string"
    categoryview-categoryDetails.WebContentView: 
      required: 
        - "URL"
      properties: 
        URL: 
          type: "string"
        userDataField: 
          items: 
            $ref: "#/definitions/categoryview-categoryDetails.WebContentView.userDataField"
          type: "array"
        name: 
          type: "string"
        uniqueID: 
          type: "string"
        MetaData: 
          items: 
            $ref: "#/definitions/categoryview-categoryDetails.WebContentView.MetaData"
          type: "array"
    category-IBM_Admin_Details_Breadcrumb_item.facet: 
      required: 
        - "attribute"
        - "facetIdentifier"
      properties: 
        attribute: 
          $ref: "#/definitions/category-IBM_Admin_Details_Breadcrumb_item.facet.attribute"
        facetIdentifier: 
          $ref: "#/definitions/category-IBM_Admin_Details_Breadcrumb_item.facet.facetIdentifier"
    categoryview-categoryDetails.CatalogGroupView: 
      properties: 
        name: 
          type: "string"
        fullImage: 
          type: "string"
        fullImageAltDescription: 
          type: "string"
        shortDescription: 
          type: "string"
        metaKeyword: 
          type: "string"
        parentCatalogGroupID: 
          items: 
            type: "string"
          type: "array"
        longDescription: 
          type: "string"
        uniqueID: 
          type: "string"
        userDataField: 
          items: 
            $ref: "#/definitions/categoryview-categoryDetails.CatalogGroupView.userDataField"
          type: "array"
        title: 
          type: "string"
        fullPath: 
          type: "string"
        identifier: 
          type: "string"
        metaDescription: 
          type: "string"
        thumbnail: 
          type: "string"
        MetaData: 
          items: 
            $ref: "#/definitions/categoryview-categoryDetails.CatalogGroupView.MetaData"
          type: "array"
    category-IBM_Admin_Details_Breadcrumb_item.rule.nVP: 
      required: 
        - "key"
      properties: 
        value: 
          type: "string"
        key: 
          type: "string"
    categoryview-categorySummary.WebContentView.MetaData: 
      properties: 
        metaData: 
          type: "string"
    category-IBM_Admin_Details_Breadcrumb_item.externalContentReference.externalContentAsset.userData: 
      properties: 
        userDataField: 
          items: 
            $ref: "#/definitions/category-IBM_Admin_Details_Breadcrumb_item.externalContentReference.externalContentAsset.userData.userDataField"
          type: "array"
    category-IBM_Admin_Details_Breadcrumb_item.taxonomyAttribute.attribute.externalIdentifier.storeIdentifier: 
      properties: 
        uniqueID: 
          type: "string"
        externalIdentifier: 
          $ref: "#/definitions/category-IBM_Admin_Details_Breadcrumb_item.taxonomyAttribute.attribute.externalIdentifier.storeIdentifier.externalIdentifier"
    category-IBM_Admin_Details_Breadcrumb_item.catalogGroupIdentifier: 
      properties: 
        uniqueID: 
          type: "string"
        externalIdentifier: 
          $ref: "#/definitions/category-IBM_Admin_Details_Breadcrumb_item.catalogGroupIdentifier.externalIdentifier"
    category-IBM_Admin_Details_Breadcrumb_item.rule.userData.userDataField: 
      required: 
        - "key"
      properties: 
        value: 
          type: "string"
        key: 
          type: "string"
    category-IBM_Admin_Details_Breadcrumb_item.rule.element.userData: 
      required: 
        - "key"
      properties: 
        value: 
          type: "string"
        key: 
          type: "string"
    category-IBM_Admin_Details_Breadcrumb_item.rule.element.nVP: 
      required: 
        - "key"
      properties: 
        value: 
          type: "string"
        key: 
          type: "string"
    categoryview-categorySummary.FacetView: 
      properties: 
        Entry: 
          items: 
            $ref: "#/definitions/categoryview-categorySummary.FacetView.Entry"
          type: "array"
        name: 
          type: "string"
        value: 
          type: "string"
    categoryview-categorySummary.WebContentView: 
      required: 
        - "URL"
      properties: 
        URL: 
          type: "string"
        userDataField: 
          items: 
            $ref: "#/definitions/categoryview-categorySummary.WebContentView.userDataField"
          type: "array"
        name: 
          type: "string"
        uniqueID: 
          type: "string"
        MetaData: 
          items: 
            $ref: "#/definitions/categoryview-categorySummary.WebContentView.MetaData"
          type: "array"
    category-IBM_Admin_Details_Breadcrumb_item.catalogGroupIdentifier.externalIdentifier.storeIdentifier: 
      properties: 
        uniqueID: 
          type: "string"
        externalIdentifier: 
          $ref: "#/definitions/category-IBM_Admin_Details_Breadcrumb_item.catalogGroupIdentifier.externalIdentifier.storeIdentifier.externalIdentifier"
    category-IBM_Admin_Details_Breadcrumb_item.externalContentReference: 
      required: 
        - "externalContentIdentifier"
        - "name"
      properties: 
        userData: 
          $ref: "#/definitions/category-IBM_Admin_Details_Breadcrumb_item.externalContentReference.userData"
        externalContentDescription: 
          type: "string"
        language: 
          type: "string"
        lastUpdateTime: 
          type: "string"
        externalContentAsset: 
          items: 
            $ref: "#/definitions/category-IBM_Admin_Details_Breadcrumb_item.externalContentReference.externalContentAsset"
          type: "array"
        uniqueID: 
          type: "string"
        externalContentIdentifier: 
          type: "string"
        externalContentType: 
          type: "string"
        name: 
          type: "string"
    category-IBM_Admin_Details_Breadcrumb_item.attachmentReference.attachmentUsage.attachmentUsageDescription.userData: 
      properties: 
        userDataField: 
          items: 
            $ref: "#/definitions/category-IBM_Admin_Details_Breadcrumb_item.attachmentReference.attachmentUsage.attachmentUsageDescription.userData.userDataField"
          type: "array"
    category-IBM_Admin_Details_Breadcrumb_item.description.override: 
      properties: 
        name: 
          type: "string"
        keyword: 
          type: "string"
        fullImage: 
          type: "string"
        longDescription: 
          type: "string"
        descriptionOverrideIdentifier: 
          $ref: "#/definitions/category-IBM_Admin_Details_Breadcrumb_item.description.override.descriptionOverrideIdentifier"
        attributes: 
          items: 
            $ref: "#/definitions/category-IBM_Admin_Details_Breadcrumb_item.description.override.attributes"
          type: "array"
        shortDescription: 
          type: "string"
        thumbnail: 
          type: "string"
    categoryview-categoryDetails.MetaData: 
      required: 
        - "metaKey"
      properties: 
        metaKey: 
          type: "string"
        metaData: 
          type: "string"
    category-IBM_Admin_Details_Breadcrumb_item.taxonomyAttribute.attribute.externalIdentifier.attributeDictionaryIdentifier.externalIdentifier.storeIdentifier.externalIdentifier: 
      properties: 
        ownerID: 
          type: "string"
        nameIdentifier: 
          type: "string"
    category-IBM_Admin_Details_Breadcrumb_item.facet.attribute.attributeDescription.extendedData: 
      required: 
        - "key"
      properties: 
        value: 
          type: "string"
        key: 
          type: "string"
    category-IBM_Admin_Details_Breadcrumb_item.rule: 
      properties: 
        userData: 
          items: 
            $ref: "#/definitions/category-IBM_Admin_Details_Breadcrumb_item.rule.userData"
          type: "array"
        nVP: 
          items: 
            $ref: "#/definitions/category-IBM_Admin_Details_Breadcrumb_item.rule.nVP"
          type: "array"
        uniqueID: 
          type: "string"
        element: 
          items: 
            $ref: "#/definitions/category-IBM_Admin_Details_Breadcrumb_item.rule.element"
          type: "array"
    com.ibm.commerce.catalog.facade.datatypes.ValueType: 
      properties: 
        identifier: 
          type: "string"
        value: 
          type: "string"
        storeID: 
          type: "string"
    category-IBM_Admin_Details_Breadcrumb_item.facet.attribute.attributeDescription.userData: 
      properties: 
        userDataField: 
          items: 
            $ref: "#/definitions/category-IBM_Admin_Details_Breadcrumb_item.facet.attribute.attributeDescription.userData.userDataField"
          type: "array"
    category-IBM_Admin_Details_Breadcrumb_item.association.catalogGroupReference.catalogGroupIdentifier.externalIdentifier.storeIdentifier.externalIdentifier: 
      properties: 
        ownerID: 
          type: "string"
        nameIdentifier: 
          type: "string"
    category-IBM_Admin_Details_Breadcrumb_item.description.override.attributes: 
      required: 
        - "key"
      properties: 
        value: 
          type: "string"
        key: 
          type: "string"
    category-IBM_Admin_Details_Breadcrumb_item.association.catalogEntryReference.catalogEntryIdentifier: 
      properties: 
        uniqueID: 
          type: "string"
        externalIdentifier: 
          $ref: "#/definitions/category-IBM_Admin_Details_Breadcrumb_item.association.catalogEntryReference.catalogEntryIdentifier.externalIdentifier"
    category-IBM_Admin_Details_Breadcrumb_item.association.associatedObject: {}
    category-IBM_Admin_Details_Breadcrumb_item.taxonomyAttribute.attribute.externalIdentifier.storeIdentifier.externalIdentifier: 
      properties: 
        ownerID: 
          type: "string"
        nameIdentifier: 
          type: "string"
    category-IBM_Admin_Details_Breadcrumb_item.attachmentReference.attachmentAsset.attachmentAssetIdentifier: 
      properties: 
        uniqueID: 
          type: "string"
    catalog_entry-IBM_Admin_CatalogEntryDefiningAttributeDictionaryAttribute_item.attributes: 
      properties: 
        comparable: 
          type: "boolean"
        description: 
          type: "string"
        searchable: 
          type: "boolean"
        dataType: 
          type: "string"
        displayable: 
          type: "boolean"
        value: 
          $ref: "#/definitions/com.ibm.commerce.catalog.facade.datatypes.ValueType"
        values: 
          items: 
            $ref: "#/definitions/catalog_entry-IBM_Admin_CatalogEntryDefiningAttributeDictionaryAttribute_item.attributes.values"
          type: "array"
        uniqueID: 
          type: "string"
        extendedValue: 
          items: 
            $ref: "#/definitions/java.util.Map$Entry"
          type: "array"
        usage: 
          type: "string"
        name: 
          type: "string"
    categoryview-categorySummary.SuggestionView: 
      properties: 
        Entry: 
          items: 
            $ref: "#/definitions/categoryview-categorySummary.SuggestionView.Entry"
          type: "array"
        identifier: 
          type: "string"
        label: 
          type: "string"
    category-IBM_Admin_Details_Breadcrumb_item.navigationRelationship.catalogGroupReference.catalogGroupIdentifier.externalIdentifier: 
      required: 
        - "groupIdentifier"
      properties: 
        ownerID: 
          type: "string"
        storeIdentifier: 
          $ref: "#/definitions/category-IBM_Admin_Details_Breadcrumb_item.navigationRelationship.catalogGroupReference.catalogGroupIdentifier.externalIdentifier.storeIdentifier"
        groupIdentifier: 
          type: "string"
    category-IBM_Admin_Details_Breadcrumb_item.navigationRelationship.catalogEntryReference.catalogEntryIdentifier: 
      properties: 
        uniqueID: 
          type: "string"
        externalIdentifier: 
          $ref: "#/definitions/category-IBM_Admin_Details_Breadcrumb_item.navigationRelationship.catalogEntryReference.catalogEntryIdentifier.externalIdentifier"
    category-IBM_Admin_Details_Breadcrumb_item.navigationRelationship.catalogEntryReference.catalogEntryIdentifier.externalIdentifier: 
      required: 
        - "partNumber"
      properties: 
        ownerID: 
          type: "string"
        partNumber: 
          type: "string"
        storeIdentifier: 
          $ref: "#/definitions/category-IBM_Admin_Details_Breadcrumb_item.navigationRelationship.catalogEntryReference.catalogEntryIdentifier.externalIdentifier.storeIdentifier"
    category-IBM_Admin_Details_Breadcrumb_item.navigationRelationship.catalogEntryReference: 
      properties: 
        catalogEntryIdentifier: 
          $ref: "#/definitions/category-IBM_Admin_Details_Breadcrumb_item.navigationRelationship.catalogEntryReference.catalogEntryIdentifier"
        displayName: 
          type: "string"
        catalogEntryTypeCode: 
          type: "string"
        navigationPath: 
          type: "string"
    category-IBM_Admin_Details_Breadcrumb_item.attachmentReference.attachmentAsset: 
      required: 
        - "attachmentAssetPath"
      properties: 
        mimeType: 
          type: "string"
        attachmentAssetIdentifier: 
          $ref: "#/definitions/category-IBM_Admin_Details_Breadcrumb_item.attachmentReference.attachmentAsset.attachmentAssetIdentifier"
        rootDirectory: 
          type: "string"
        language: 
          items: 
            type: "string"
          type: "array"
        directoryPath: 
          type: "string"
        storeIdentifier: 
          $ref: "#/definitions/category-IBM_Admin_Details_Breadcrumb_item.attachmentReference.attachmentAsset.storeIdentifier"
        localAsset: 
          type: "boolean"
        userData: 
          $ref: "#/definitions/category-IBM_Admin_Details_Breadcrumb_item.attachmentReference.attachmentAsset.userData"
        attachmentAssetPath: 
          type: "string"
    categoryview-categorySummary.CatalogGroupView: 
      properties: 
        name: 
          type: "string"
        parentCatalogGroupID: 
          items: 
            type: "string"
          type: "array"
        uniqueID: 
          type: "string"
        identifier: 
          type: "string"
        shortDescription: 
          type: "string"
        thumbnail: 
          type: "string"
    category-IBM_Admin_Details_Breadcrumb_item.attachmentReference.attachmentIdentifier.externalIdentifier: 
      required: 
        - "identifier"
      properties: 
        ownerID: 
          type: "string"
        identifier: 
          type: "string"
        storeIdentifier: 
          $ref: "#/definitions/category-IBM_Admin_Details_Breadcrumb_item.attachmentReference.attachmentIdentifier.externalIdentifier.storeIdentifier"
    category-IBM_Admin_Details_Breadcrumb_item.attachmentReference.attachmentDescription: 
      properties: 
        userData: 
          $ref: "#/definitions/category-IBM_Admin_Details_Breadcrumb_item.attachmentReference.attachmentDescription.userData"
        shortDescription: 
          type: "string"
        name: 
          type: "string"
        language: 
          type: "string"
        longDescription: 
          type: "string"
    catalog_entry-IBM_Admin_CatalogEntryDefiningAttributeDictionaryAttribute: 
      properties: 
        recordSetCount: 
          type: "integer"
          format: "int64"
        recordSetComplete: 
          type: "boolean"
        recordSetStartNumber: 
          type: "integer"
          format: "int64"
        resultList: 
          items: 
            $ref: "#/definitions/catalog_entry-IBM_Admin_CatalogEntryDefiningAttributeDictionaryAttribute_item"
          type: "array"
        recordSetTotal: 
          type: "integer"
          format: "int64"
    category-IBM_Admin_Details_Breadcrumb_item.taxonomyAttribute: 
      properties: 
        attribute: 
          items: 
            $ref: "#/definitions/category-IBM_Admin_Details_Breadcrumb_item.taxonomyAttribute.attribute"
          type: "array"
    category-IBM_Admin_Details_Breadcrumb_item.sEOURL.uRLKeyword: 
      properties: 
        userData: 
          $ref: "#/definitions/category-IBM_Admin_Details_Breadcrumb_item.sEOURL.uRLKeyword.userData"
        keyword: 
          type: "string"
        language: 
          type: "string"
        generatedMobileKeyword: 
          type: "string"
        uRLPrefix: 
          type: "string"
        mobileURLPrefix: 
          type: "string"
        previewURL: 
          type: "string"
        mobileKeyword: 
          type: "string"
        generatedKeyword: 
          type: "string"
        previewMobileURL: 
          type: "string"
    category-IBM_Admin_Details_Breadcrumb_item.navigationRelationship.attributes: 
      required: 
        - "key"
      properties: 
        value: 
          type: "string"
        key: 
          type: "string"
    category-IBM_Admin_Details_Breadcrumb_item.catalogGroupIdentifier.externalIdentifier: 
      required: 
        - "groupIdentifier"
      properties: 
        ownerID: 
          type: "string"
        storeIdentifier: 
          $ref: "#/definitions/category-IBM_Admin_Details_Breadcrumb_item.catalogGroupIdentifier.externalIdentifier.storeIdentifier"
        groupIdentifier: 
          type: "string"
    category-IBM_Admin_Details_Breadcrumb_item.navigationRelationship.catalogGroupReference.catalogIdentifier: 
      properties: 
        uniqueID: 
          type: "string"
        externalIdentifier: 
          $ref: "#/definitions/category-IBM_Admin_Details_Breadcrumb_item.navigationRelationship.catalogGroupReference.catalogIdentifier.externalIdentifier"
    category-IBM_Admin_Details_Breadcrumb_item.externalContentReference.userData.userDataField: 
      required: 
        - "key"
      properties: 
        value: 
          type: "string"
        key: 
          type: "string"
    category-IBM_Admin_Details_Breadcrumb_item.sEOURL.userData.userDataField: 
      required: 
        - "key"
      properties: 
        value: 
          type: "string"
        key: 
          type: "string"
    category-IBM_Admin_Details_Breadcrumb_item.sEOURL.siteMapInfo.userData.userDataField: 
      required: 
        - "key"
      properties: 
        value: 
          type: "string"
        key: 
          type: "string"
    catalog_entry-IBM_Admin_StandardOfferPrice_item.description: 
      properties: 
        shortDescription: 
          type: "string"
        name: 
          type: "string"
        thumbnail: 
          type: "string"
    categoryview-categoryDetails.BreadCrumbTrailEntryView: 
      properties: 
        type: 
          type: "string"
        value: 
          type: "string"
        label: 
          type: "string"
    category-IBM_Admin_Details_Breadcrumb_item.attachmentReference.attachmentReferenceDescription.userData.userDataField: 
      required: 
        - "key"
      properties: 
        value: 
          type: "string"
        key: 
          type: "string"
    category-IBM_Admin_Details_Breadcrumb_item.taxonomyAttribute.attribute.externalIdentifier: 
      required: 
        - "attributeDictionaryIdentifier"
        - "identifier"
      properties: 
        attributeDictionaryIdentifier: 
          $ref: "#/definitions/category-IBM_Admin_Details_Breadcrumb_item.taxonomyAttribute.attribute.externalIdentifier.attributeDictionaryIdentifier"
        storeIdentifier: 
          $ref: "#/definitions/category-IBM_Admin_Details_Breadcrumb_item.taxonomyAttribute.attribute.externalIdentifier.storeIdentifier"
        identifier: 
          type: "string"
    catalog_entry-IBM_Admin_CatalogEntryDefiningAttributeDictionaryAttribute_item.attributes.values: 
      required: 
        - "values"
      properties: 
        identifier: 
          type: "string"
        values: 
          type: "string"
        extendedValue: 
          items: 
            $ref: "#/definitions/java.util.Map$Entry"
          type: "array"
    category-IBM_Admin_Details_Breadcrumb_item.sEOURL.parentStoreIdentifier.externalIdentifier: 
      properties: 
        ownerID: 
          type: "string"
        nameIdentifier: 
          type: "string"
    category-IBM_Admin_Details_Breadcrumb_item.description.override.descriptionOverrideIdentifier: 
      properties: 
        uniqueID: 
          type: "string"
    category-IBM_Admin_Details_Breadcrumb_item.sEOURL.uRLKeyword.userData.userDataField: 
      required: 
        - "key"
      properties: 
        value: 
          type: "string"
        key: 
          type: "string"
    category-IBM_Admin_Details_Breadcrumb_item.attachmentReference.attachmentAsset.storeIdentifier: 
      properties: 
        uniqueID: 
          type: "string"
        externalIdentifier: 
          $ref: "#/definitions/category-IBM_Admin_Details_Breadcrumb_item.attachmentReference.attachmentAsset.storeIdentifier.externalIdentifier"
    categoryview-categorySummary.SuggestionView.Entry: 
      properties: 
        image: 
          type: "string"
        name: 
          type: "string"
        value: 
          type: "string"
        userDataField: 
          items: 
            $ref: "#/definitions/categoryview-categorySummary.SuggestionView.Entry.userDataField"
          type: "array"
    category-IBM_Admin_Details_Breadcrumb_item.navigationRelationship.catalogGroupReference.catalogIdentifier.externalIdentifier.storeIdentifier.externalIdentifier: 
      properties: 
        ownerID: 
          type: "string"
        nameIdentifier: 
          type: "string"
    category-IBM_Admin_Details_Breadcrumb_item.association.catalogGroupReference.catalogGroupIdentifier.externalIdentifier: 
      required: 
        - "groupIdentifier"
      properties: 
        ownerID: 
          type: "string"
        storeIdentifier: 
          $ref: "#/definitions/category-IBM_Admin_Details_Breadcrumb_item.association.catalogGroupReference.catalogGroupIdentifier.externalIdentifier.storeIdentifier"
        groupIdentifier: 
          type: "string"
    categoryview-categoryDetails.FacetView: 
      properties: 
        Entry: 
          items: 
            $ref: "#/definitions/categoryview-categoryDetails.FacetView.Entry"
          type: "array"
        name: 
          type: "string"
        value: 
          type: "string"
    category-IBM_Admin_Details_Breadcrumb_item.association.catalogEntryReference: 
      properties: 
        catalogEntryIdentifier: 
          $ref: "#/definitions/category-IBM_Admin_Details_Breadcrumb_item.association.catalogEntryReference.catalogEntryIdentifier"
        displayName: 
          type: "string"
        catalogEntryTypeCode: 
          type: "string"
        navigationPath: 
          type: "string"
    category-IBM_Admin_Details_Breadcrumb_item.attachmentReference.attachmentIdentifier.externalIdentifier.storeIdentifier.externalIdentifier: 
      properties: 
        ownerID: 
          type: "string"
        nameIdentifier: 
          type: "string"
    category-IBM_Admin_Details_Breadcrumb_item.navigationRelationship.catalogGroupReference.catalogGroupIdentifier.externalIdentifier.storeIdentifier.externalIdentifier: 
      properties: 
        ownerID: 
          type: "string"
        nameIdentifier: 
          type: "string"
    category-IBM_Admin_Details_Breadcrumb_item.association.catalogEntryReference.catalogEntryIdentifier.externalIdentifier.storeIdentifier.externalIdentifier: 
      properties: 
        ownerID: 
          type: "string"
        nameIdentifier: 
          type: "string"
    category-IBM_Admin_Details_Breadcrumb: 
      properties: 
        recordSetCount: 
          type: "integer"
          format: "int64"
        recordSetComplete: 
          type: "boolean"
        recordSetStartNumber: 
          type: "integer"
          format: "int64"
        resultList: 
          items: 
            $ref: "#/definitions/category-IBM_Admin_Details_Breadcrumb_item"
          type: "array"
        recordSetTotal: 
          type: "integer"
          format: "int64"
    category-IBM_Admin_Details_Breadcrumb_item.parentCatalogGroupIdentifier: 
      properties: 
        uniqueID: 
          type: "string"
        externalIdentifier: 
          $ref: "#/definitions/category-IBM_Admin_Details_Breadcrumb_item.parentCatalogGroupIdentifier.externalIdentifier"
    category-IBM_Admin_Details_Breadcrumb_item.sEOURL.parentStoreIdentifier: 
      properties: 
        uniqueID: 
          type: "string"
        externalIdentifier: 
          $ref: "#/definitions/category-IBM_Admin_Details_Breadcrumb_item.sEOURL.parentStoreIdentifier.externalIdentifier"
    category-IBM_Admin_Details_Breadcrumb_item.sEOProperties: 
      properties: 
        resolved: 
          type: "boolean"
        userData: 
          $ref: "#/definitions/category-IBM_Admin_Details_Breadcrumb_item.sEOProperties.userData"
        language: 
          type: "string"
        metaKeyword: 
          type: "string"
        fullImageAltDescription: 
          type: "string"
        parentStoreIdentifier: 
          $ref: "#/definitions/category-IBM_Admin_Details_Breadcrumb_item.sEOProperties.parentStoreIdentifier"
        pageGroup: 
          type: "string"
        objectIdentifier: 
          type: "string"
        sEOPageDefID: 
          type: "string"
        title: 
          type: "string"
        metaDescription: 
          type: "string"
    categoryview-categorySummary.FacetView.Entry: 
      properties: 
        count: 
          type: "string"
          format: "int64"
        image: 
          type: "string"
        entryValue: 
          type: "string"
        label: 
          type: "string"
    category-IBM_Admin_Details_Breadcrumb_item.attachmentReference.userData: 
      properties: 
        userDataField: 
          items: 
            $ref: "#/definitions/category-IBM_Admin_Details_Breadcrumb_item.attachmentReference.userData.userDataField"
          type: "array"
    category-IBM_Admin_Details_Breadcrumb_item.rule.element: 
      properties: 
        userData: 
          items: 
            $ref: "#/definitions/category-IBM_Admin_Details_Breadcrumb_item.rule.element.userData"
          type: "array"
        type: 
          type: "string"
        uniqueID: 
          type: "string"
        nVP: 
          items: 
            $ref: "#/definitions/category-IBM_Admin_Details_Breadcrumb_item.rule.element.nVP"
          type: "array"
    category-IBM_Admin_Details_Breadcrumb_item.attachmentReference.attachmentDescription.userData: 
      properties: 
        userDataField: 
          items: 
            $ref: "#/definitions/category-IBM_Admin_Details_Breadcrumb_item.attachmentReference.attachmentDescription.userData.userDataField"
          type: "array"
    category-IBM_Admin_Details_Breadcrumb_item.sEOURL: 
      properties: 
        userData: 
          $ref: "#/definitions/category-IBM_Admin_Details_Breadcrumb_item.sEOURL.userData"
        parentStoreIdentifier: 
          $ref: "#/definitions/category-IBM_Admin_Details_Breadcrumb_item.sEOURL.parentStoreIdentifier"
        tokenValue: 
          type: "string"
        uRLKeywordID: 
          type: "string"
        uRLKeyword: 
          items: 
            $ref: "#/definitions/category-IBM_Admin_Details_Breadcrumb_item.sEOURL.uRLKeyword"
          type: "array"
        usage: 
          type: "string"
        siteMapInfo: 
          $ref: "#/definitions/category-IBM_Admin_Details_Breadcrumb_item.sEOURL.siteMapInfo"
    categoryview-categoryDetails.SuggestionView.Entry: 
      properties: 
        image: 
          type: "string"
        name: 
          type: "string"
        value: 
          type: "string"
        userDataField: 
          items: 
            $ref: "#/definitions/categoryview-categoryDetails.SuggestionView.Entry.userDataField"
          type: "array"
    category-IBM_Admin_Details_Breadcrumb_item.attachmentReference.attachmentUsage.attachmentUsageDescription: 
      properties: 
        userData: 
          $ref: "#/definitions/category-IBM_Admin_Details_Breadcrumb_item.attachmentReference.attachmentUsage.attachmentUsageDescription.userData"
        shortDescription: 
          type: "string"
        name: 
          type: "string"
        language: 
          type: "string"
        longDescription: 
          type: "string"
    categoryview-categoryDetails.CatalogGroupView.MetaData: 
      required: 
        - "metaKey"
      properties: 
        metaKey: 
          type: "string"
        metaData: 
          type: "string"
    category-IBM_Admin_Details_Breadcrumb_item.catalogGroupIdentifier.externalIdentifier.storeIdentifier.externalIdentifier: 
      properties: 
        ownerID: 
          type: "string"
        nameIdentifier: 
          type: "string"
    category-IBM_Admin_Details_Breadcrumb_item.sEOProperties.userData: 
      properties: 
        userDataField: 
          items: 
            $ref: "#/definitions/category-IBM_Admin_Details_Breadcrumb_item.sEOProperties.userData.userDataField"
          type: "array"
    catalog_entry-IBM_Admin_CatalogEntryDefiningAttributeDictionaryAttribute_item.userDataField: 
      required: 
        - "key"
      properties: 
        value: 
          type: "string"
        key: 
          type: "string"
    categoryview-categoryDetails.WebContentView.MetaData: 
      properties: 
        metaData: 
          type: "string"
    categoryview-categorySummary: 
      properties: 
        recordSetStartNumber: 
          type: "string"
          format: "int64"
        SuggestionView: 
          items: 
            $ref: "#/definitions/categoryview-categorySummary.SuggestionView"
          type: "array"
        recordSetComplete: 
          type: "string"
        FacetView: 
          items: 
            $ref: "#/definitions/categoryview-categorySummary.FacetView"
          type: "array"
        recordSetCount: 
          type: "string"
          format: "int64"
        indexStatus: 
          type: "string"
        report: 
          items: 
            type: "string"
          type: "array"
        WebContentView: 
          items: 
            $ref: "#/definitions/categoryview-categorySummary.WebContentView"
          type: "array"
        userDataField: 
          items: 
            $ref: "#/definitions/categoryview-categorySummary.userDataField"
          type: "array"
        recordSetTotal: 
          type: "string"
          format: "int64"
        BreadCrumbTrailEntryView: 
          items: 
            $ref: "#/definitions/categoryview-categorySummary.BreadCrumbTrailEntryView"
          type: "array"
        CatalogGroupView: 
          items: 
            $ref: "#/definitions/categoryview-categorySummary.CatalogGroupView"
          type: "array"
        finalQuery: 
          type: "string"
        MetaData: 
          items: 
            $ref: "#/definitions/categoryview-categorySummary.MetaData"
          type: "array"
    categoryview-categorySummary.userDataField: 
      required: 
        - "key"
      properties: 
        value: 
          type: "string"
        key: 
          type: "string"
    category-IBM_Admin_Details_Breadcrumb_item.attachmentReference.attachmentUsage.attachmentUsageDescription.userData.userDataField: 
      required: 
        - "key"
      properties: 
        value: 
          type: "string"
        key: 
          type: "string"
    category-IBM_Admin_Details_Breadcrumb_item.sEOProperties.parentStoreIdentifier.externalIdentifier: 
      properties: 
        ownerID: 
          type: "string"
        nameIdentifier: 
          type: "string"
    category-IBM_Admin_Details_Breadcrumb_item.association: 
      properties: 
        catalogGroupReference: 
          $ref: "#/definitions/category-IBM_Admin_Details_Breadcrumb_item.association.catalogGroupReference"
        name: 
          type: "string"
        catalogEntryReference: 
          $ref: "#/definitions/category-IBM_Admin_Details_Breadcrumb_item.association.catalogEntryReference"
        associationCodeType: 
          type: "string"
        displaySequence: 
          type: "number"
          format: "double"
        associatedObject: 
          $ref: "#/definitions/category-IBM_Admin_Details_Breadcrumb_item.association.associatedObject"
        uniqueID: 
          type: "string"
        externalSource: 
          type: "boolean"
        attributes: 
          items: 
            $ref: "#/definitions/category-IBM_Admin_Details_Breadcrumb_item.association.attributes"
          type: "array"
        semantic: 
          type: "string"
        quantity: 
          type: "number"
          format: "double"
    category-IBM_Admin_Details_Breadcrumb_item.externalContentReference.externalContentAsset.userData.userDataField: 
      required: 
        - "key"
      properties: 
        value: 
          type: "string"
        key: 
          type: "string"
    category-IBM_Admin_Details_Breadcrumb_item.association.catalogGroupReference.catalogIdentifier.externalIdentifier.storeIdentifier: 
      properties: 
        uniqueID: 
          type: "string"
        externalIdentifier: 
          $ref: "#/definitions/category-IBM_Admin_Details_Breadcrumb_item.association.catalogGroupReference.catalogIdentifier.externalIdentifier.storeIdentifier.externalIdentifier"
    category-IBM_Admin_Details_Breadcrumb_item.association.catalogGroupReference.catalogIdentifier: 
      properties: 
        uniqueID: 
          type: "string"
        externalIdentifier: 
          $ref: "#/definitions/category-IBM_Admin_Details_Breadcrumb_item.association.catalogGroupReference.catalogIdentifier.externalIdentifier"
    java.util.Map$Entry: 
      required: 
        - "key"
      properties: 
        value: 
          type: "string"
        key: 
          type: "string"
    catalog_entry-IBM_Admin_StandardOfferPrice_item.userDataField: 
      required: 
        - "key"
      properties: 
        value: 
          type: "string"
        key: 
          type: "string"
    category-IBM_Admin_Details_Breadcrumb_item.facet.facetIdentifier: 
      properties: 
        identifier: 
          type: "string"
        uniqueID: 
          type: "string"
    category-IBM_Admin_Details_Breadcrumb_item.attachmentReference.attachmentIdentifier: 
      properties: 
        uniqueID: 
          type: "string"
        externalIdentifier: 
          $ref: "#/definitions/category-IBM_Admin_Details_Breadcrumb_item.attachmentReference.attachmentIdentifier.externalIdentifier"
    category-IBM_Admin_Details_Breadcrumb_item.facet.attribute.attributeDescription: 
      properties: 
        name: 
          type: "string"
        userData: 
          $ref: "#/definitions/category-IBM_Admin_Details_Breadcrumb_item.facet.attribute.attributeDescription.userData"
        description: 
          type: "string"
        language: 
          type: "string"
        extendedData: 
          items: 
            $ref: "#/definitions/category-IBM_Admin_Details_Breadcrumb_item.facet.attribute.attributeDescription.extendedData"
          type: "array"
    category-IBM_Admin_Details_Breadcrumb_item.association.catalogGroupReference.catalogIdentifier.externalIdentifier.storeIdentifier.externalIdentifier: 
      properties: 
        ownerID: 
          type: "string"
        nameIdentifier: 
          type: "string"
    categoryview-categorySummary.BreadCrumbTrailEntryView: 
      properties: 
        type: 
          type: "string"
        value: 
          type: "string"
        label: 
          type: "string"
    category-IBM_Admin_Details_Breadcrumb_item.sEOURL.userData: 
      properties: 
        userDataField: 
          items: 
            $ref: "#/definitions/category-IBM_Admin_Details_Breadcrumb_item.sEOURL.userData.userDataField"
          type: "array"
    catalog_entry-IBM_Admin_StandardOfferPrice_item: 
      required: 
        - "partNumber"
      properties: 
        description: 
          items: 
            $ref: "#/definitions/catalog_entry-IBM_Admin_StandardOfferPrice_item.description"
          type: "array"
        owningStoreDirectory: 
          type: "string"
        price: 
          $ref: "#/definitions/com.ibm.commerce.foundation.common.datatypes.MonetaryAmountType"
        uniqueID: 
          type: "string"
        partNumber: 
          type: "string"
        type: 
          type: "string"
        userDataField: 
          items: 
            $ref: "#/definitions/catalog_entry-IBM_Admin_StandardOfferPrice_item.userDataField"
          type: "array"
    category-IBM_Admin_Details_Breadcrumb_item.attachmentReference.attachmentUsage: 
      required: 
        - "usageName"
      properties: 
        displaySequence: 
          type: "string"
        attachmentUsageDescription: 
          $ref: "#/definitions/category-IBM_Admin_Details_Breadcrumb_item.attachmentReference.attachmentUsage.attachmentUsageDescription"
        image: 
          type: "string"
        usageName: 
          type: "string"
    category-IBM_Admin_Details_Breadcrumb_item.association.attributes: 
      required: 
        - "key"
      properties: 
        value: 
          type: "string"
        key: 
          type: "string"
    category-IBM_Admin_Details_Breadcrumb_item.externalContentReference.externalContentAsset: 
      required: 
        - "assetPath"
        - "externalContentIdentifier"
        - "name"
      properties: 
        mimeType: 
          type: "string"
        userData: 
          $ref: "#/definitions/category-IBM_Admin_Details_Breadcrumb_item.externalContentReference.externalContentAsset.userData"
        assetPath: 
          type: "string"
        name: 
          type: "string"
        assetFullPath: 
          type: "string"
        externalContentIdentifier: 
          type: "string"
    category-IBM_Admin_Details_Breadcrumb_item.breadcrumbLocation: 
      required: 
        - "catalogGroupUniqueID"
      properties: 
        catalogGroupUniqueID: 
          items: 
            type: "string"
          type: "array"
    category-IBM_Admin_Details_Breadcrumb_item.sEOURL.siteMapInfo: 
      properties: 
        priority: 
          type: "number"
          format: "double"
        userData: 
          $ref: "#/definitions/category-IBM_Admin_Details_Breadcrumb_item.sEOURL.siteMapInfo.userData"
        mobilePriority: 
          type: "number"
          format: "double"
        changeFrequency: 
          type: "string"
        mobileChangeFrequency: 
          type: "string"
    category-IBM_Admin_Details_Breadcrumb_item.navigationRelationship.catalogGroupReference.catalogIdentifier.externalIdentifier.storeIdentifier: 
      properties: 
        uniqueID: 
          type: "string"
        externalIdentifier: 
          $ref: "#/definitions/category-IBM_Admin_Details_Breadcrumb_item.navigationRelationship.catalogGroupReference.catalogIdentifier.externalIdentifier.storeIdentifier.externalIdentifier"
    category-IBM_Admin_Details_Breadcrumb_item.attachmentReference.attachmentDescription.userData.userDataField: 
      required: 
        - "key"
      properties: 
        value: 
          type: "string"
        key: 
          type: "string"
    categoryview-categorySummary.MetaData: 
      required: 
        - "metaKey"
      properties: 
        metaKey: 
          type: "string"
        metaData: 
          type: "string"
    category-IBM_Admin_Details_Breadcrumb_item.navigationRelationship.catalogEntryReference.catalogEntryIdentifier.externalIdentifier.storeIdentifier: 
      properties: 
        uniqueID: 
          type: "string"
        externalIdentifier: 
          $ref: "#/definitions/category-IBM_Admin_Details_Breadcrumb_item.navigationRelationship.catalogEntryReference.catalogEntryIdentifier.externalIdentifier.storeIdentifier.externalIdentifier"
    category-IBM_Admin_Details_Breadcrumb_item.navigationRelationship: 
      properties: 
        attributes: 
          items: 
            $ref: "#/definitions/category-IBM_Admin_Details_Breadcrumb_item.navigationRelationship.attributes"
          type: "array"
        displaySequence: 
          type: "number"
          format: "double"
        catalogGroupReference: 
          $ref: "#/definitions/category-IBM_Admin_Details_Breadcrumb_item.navigationRelationship.catalogGroupReference"
        type: 
          type: "string"
        catalogEntryReference: 
          $ref: "#/definitions/category-IBM_Admin_Details_Breadcrumb_item.navigationRelationship.catalogEntryReference"
    category-IBM_Admin_Details_Breadcrumb_item.rule.userData: 
      properties: 
        userDataField: 
          items: 
            $ref: "#/definitions/category-IBM_Admin_Details_Breadcrumb_item.rule.userData.userDataField"
          type: "array"
    categoryview-categoryDetails: 
      properties: 
        recordSetStartNumber: 
          type: "string"
          format: "int64"
        SuggestionView: 
          items: 
            $ref: "#/definitions/categoryview-categoryDetails.SuggestionView"
          type: "array"
        recordSetComplete: 
          type: "string"
        FacetView: 
          items: 
            $ref: "#/definitions/categoryview-categoryDetails.FacetView"
          type: "array"
        recordSetCount: 
          type: "string"
          format: "int64"
        indexStatus: 
          type: "string"
        report: 
          items: 
            type: "string"
          type: "array"
        WebContentView: 
          items: 
            $ref: "#/definitions/categoryview-categoryDetails.WebContentView"
          type: "array"
        userDataField: 
          items: 
            $ref: "#/definitions/categoryview-categoryDetails.userDataField"
          type: "array"
        recordSetTotal: 
          type: "string"
          format: "int64"
        BreadCrumbTrailEntryView: 
          items: 
            $ref: "#/definitions/categoryview-categoryDetails.BreadCrumbTrailEntryView"
          type: "array"
        CatalogGroupView: 
          items: 
            $ref: "#/definitions/categoryview-categoryDetails.CatalogGroupView"
          type: "array"
        finalQuery: 
          type: "string"
        MetaData: 
          items: 
            $ref: "#/definitions/categoryview-categoryDetails.MetaData"
          type: "array"
    category-IBM_Admin_Details_Breadcrumb_item.association.catalogGroupReference: 
      required: 
        - "displayName"
      properties: 
        catalogGroupIdentifier: 
          $ref: "#/definitions/category-IBM_Admin_Details_Breadcrumb_item.association.catalogGroupReference.catalogGroupIdentifier"
        displayName: 
          type: "string"
        catalogIdentifier: 
          $ref: "#/definitions/category-IBM_Admin_Details_Breadcrumb_item.association.catalogGroupReference.catalogIdentifier"
        navigationPath: 
          type: "string"
    category-IBM_Admin_Details_Breadcrumb_item.association.catalogGroupReference.catalogGroupIdentifier.externalIdentifier.storeIdentifier: 
      properties: 
        uniqueID: 
          type: "string"
        externalIdentifier: 
          $ref: "#/definitions/category-IBM_Admin_Details_Breadcrumb_item.association.catalogGroupReference.catalogGroupIdentifier.externalIdentifier.storeIdentifier.externalIdentifier"
    category-IBM_Admin_Details_Breadcrumb_item.externalContentReference.userData: 
      properties: 
        userDataField: 
          items: 
            $ref: "#/definitions/category-IBM_Admin_Details_Breadcrumb_item.externalContentReference.userData.userDataField"
          type: "array"
    category-IBM_Admin_Details_Breadcrumb_item.navigationRelationship.catalogGroupReference.catalogIdentifier.externalIdentifier: 
      required: 
        - "identifier"
      properties: 
        ownerID: 
          type: "string"
        identifier: 
          type: "string"
        storeIdentifier: 
          $ref: "#/definitions/category-IBM_Admin_Details_Breadcrumb_item.navigationRelationship.catalogGroupReference.catalogIdentifier.externalIdentifier.storeIdentifier"
    category-IBM_Admin_Details_Breadcrumb_item.facet.attribute: 
      required: 
        - "attributeDescription"
      properties: 
        attributeDescription: 
          items: 
            $ref: "#/definitions/category-IBM_Admin_Details_Breadcrumb_item.facet.attribute.attributeDescription"
          type: "array"

